Posts by emiliocb4

    after a long and hard work i'm able to download libc6-bin deb file

    copy it to /sbin


    resolved problem with locale.


    after that i see i lost OMV installation, so i download the latest package to install on already installed debian:

    https://openmediavault.readthe…stallation/on_debian.html


    reinstall the wifi driver: https://github.com/cilynx/rtl88x2bu


    reconnect to my wifi: wpa_supplicant -B -i interface -c /etc/wpa_supplicant/wpa_supplicant.conf


    and i can see again the GUI.


    NOW each OMV tool i use i see this error:

    /usr/lib/python3/dist-packages/salt/utils/dictdiffer.py:16: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working

    from collections import Mapping

    /var/lib/dpkg/info/openmediavault.postinst: 962: php7.3: not found



    here follow my list of php package installed:

    root@nas:~# dpkg -l | grep php

    ii php 2:7.4+75 all server-side, HTML-embedded scripting language (default)

    ii php-bcmath 2:7.4+75 all Bcmath module for PHP [default]

    ii php-cgi 2:7.4+75 all server-side, HTML-embedded scripting language (CGI binary) (default)

    ii php-common 2:75 all Common files for PHP packages

    ii php-fpm 2:7.4+75 all server-side, HTML-embedded scripting language (FPM-CGI binary) (default)

    ii php-mbstring 2:7.4+75 all MBSTRING module for PHP [default]

    ii php-pam 1.0.3-1 amd64 pam module for PHP 7

    ii php-xml 2:7.4+75 all DOM, SimpleXML, WDDX, XML, and XSL module for PHP [default]

    ii php-yaml 2.0.4+1.3.2-2+b1 amd64 YAML-1.1 parser and emitter for PHP

    ii php7.0-bcmath 7.0.33-0+deb9u7 amd64 Bcmath module for PHP

    ii php7.0-cgi 7.0.33-0+deb9u7 amd64 server-side, HTML-embedded scripting language (CGI binary)

    ii php7.0-cli 7.0.33-0+deb9u7 amd64 command-line interpreter for the PHP scripting language

    ii php7.0-common 7.0.33-0+deb9u7 amd64 documentation, examples and common module for PHP

    ii php7.0-fpm 7.0.33-0+deb9u7 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary)

    ii php7.0-json 7.0.33-0+deb9u7 amd64 JSON module for PHP

    ii php7.0-mbstring 7.0.33-0+deb9u7 amd64 MBSTRING module for PHP

    ii php7.0-opcache 7.0.33-0+deb9u7 amd64 Zend OpCache module for PHP

    ii php7.0-readline 7.0.33-0+deb9u7 amd64 readline module for PHP

    ii php7.0-xml 7.0.33-0+deb9u7 amd64 DOM, SimpleXML, WDDX, XML, and XSL module for PHP

    ii php7.4 7.4.3-4 all server-side, HTML-embedded scripting language (metapackage)

    ii php7.4-bcmath 7.4.3-4 amd64 Bcmath module for PHP

    ii php7.4-cgi 7.4.3-4 amd64 server-side, HTML-embedded scripting language (CGI binary)

    ii php7.4-cli 7.4.3-4 amd64 command-line interpreter for the PHP scripting language

    ii php7.4-common 7.4.3-4 amd64 documentation, examples and common module for PHP

    ii php7.4-fpm 7.4.3-4 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary)

    ii php7.4-json 7.4.3-4 amd64 JSON module for PHP

    ii php7.4-mbstring 7.4.3-4 amd64 MBSTRING module for PHP

    ii php7.4-opcache 7.4.3-4 amd64 Zend OpCache module for PHP

    ii php7.4-phpdbg 7.4.3-4 amd64 server-side, HTML-embedded scripting language (PHPDBG binary)

    ii php7.4-readline 7.4.3-4 amd64 readline module for PHP

    ii php7.4-xml 7.4.3-4 amd64 DOM, SimpleXML, XML, and XSL module for PHP




    any ideas?

    after try to install some packages, i see some error referred to locale:


    perl: warning: Setting locale failed.

    perl: warning: Please check that your locale settings:

    LANGUAGE = (unset),

    LC_ALL = (unset),

    LANG = "C.UTF-8"

    are supported and installed on your system.

    perl: warning: Falling back to the standard locale ("C").

    Can't exec "locale": No such file or directory at /usr/share/perl5/Debconf/Encoding.pm line 16.



    after i try to install locale i've an error to open webgui of OMV and i see this error:

    Failed to start openmediavault-engined.service: Unit openmediavault-engined.service is masked



    please help me

    Yes, I read that 3D but it’s not my issue. Also with net use the problem still remain the same.


    Just to resume:

    Windows 10 with workgroup: smb/cifs works nfs (using userid 1 and groupid 100 and protocol 4.1) works.


    Window 10 without workgroup: smb/cifs not working due to user/password error. Nfs client of Windows doesn’t work due to password error, using NFS client download from source forge (where I can force uid e guid) works!!


    iOS: smb always authorization failed

    Hello,

    I’ve a problem login into share folder.


    With a pc not in workgroup smb or nfs always give me a ‘user or password is not correct’


    Using pc in workgroup smb works fine with user login.


    How can I fix?

    i try with another win10 with group setting with WORKGROUP and it works!!!

    so the problem in my professional PC is that the workgroup is different.

    i cannot change group name on my professional pc, so i need to find another way to force the workgroup or better to "disable" the needs to belong to a workgroup.


    how can i let "any" group to connect to my server?



    thanks

    Hello everyone,

    i just install and configure OMV 4.1.23.


    At the moment i've create a logical volume group based on logical volume of 3 disks.


    I configured nfs and smb/cifs services and sharing one "directory" named "data2".


    here follow the configurations:

    smb/cifs:

    nfs:


    then i've configured 1 user and give access to my shared folder with read/write permissions:



    but if i try to connect over my network (192.168.1.0/24 mask), i can see login popup but every users (emiliocb4 or root or admin) i try to insert, the same error appairs:




    can you help me?

    finally i found a working driver:



    https://github.com/minjae/rtl8821au.git


    i can see the usb device:
    root@nas:~/rtl8821au# lsusb
    Bus 001 Device 003: ID 0bda:b812 Realtek Semiconductor Corp.
    Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
    but i can only see the ethernet interface
    root@nas:~# lshw -C network
    *-network
    description: Ethernet interface
    product: VT6102/VT6103 [Rhine-II]
    vendor: VIA Technologies, Inc.
    physical id: 12
    bus info: pci@0000:00:12.0
    logical name: enp0s18
    version: 7c
    serial: 00:19:66:99:b9:14
    size: 100Mbit/s
    capacity: 100Mbit/s
    width: 32 bits
    clock: 33MHz
    capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
    configuration: autonegotiation=on broadcast=yes driver=via-rhine driverversion=1.5.1 duplex=full ip=192.168.1.200 latency=32 link=yes maxlatency=8 mingnt=3 multicast=yes port=MII speed=100Mbit/s
    resources: irq:23 ioport:c000(size=256) memory:fdfff800-fdfff8ff
    any ideas?


    thanks

    hi all,
    there was only a temporary fails of connetion. now i checked that i've connection and i was able to install make and bc.
    but the compiling of driver again fails:
    Authentication requested [root] for make clean:
    #make -C /lib/modules/4.19.0-0.bpo.4-amd64/build M=/wifidriver/RTL88x2BU_WiFi_linux_v5.2.4.4_25643.20171212_COEX20171012-5044/driver/rtl88x2BU_WiFi_linux_v5.2.4.4_25643.20171212_COEX20171012-5044 clean
    cd hal ; rm -fr */*/*/*.mod.c */*/*/*.mod */*/*/*.o */*/*/.*.cmd */*/*/*.ko
    cd hal ; rm -fr */*/*.mod.c */*/*.mod */*/*.o */*/.*.cmd */*/*.ko
    cd hal ; rm -fr */*.mod.c */*.mod */*.o */.*.cmd */*.ko
    cd hal ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    cd core/efuse ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    cd core ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    cd os_dep/linux ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    cd os_dep ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    cd platform ; rm -fr *.mod.c *.mod *.o .*.cmd *.ko
    rm -fr Module.symvers ; rm -fr Module.markers ; rm -fr modules.order
    rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
    rm -fr .tmp_versions
    Authentication requested [root] for make driver:
    make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/4.19.0-0.bpo.4-amd64/build M=/wifidriver/RTL88x2BU_WiFi_linux_v5.2.4.4_25643.20171212_COEX20171012-5044/driver/rtl88x2BU_WiFi_linux_v5.2.4.4_25643.20171212_COEX20171012-5044 modules
    make[1]: Entering directory '/lib/modules/4.19.0-0.bpo.4-amd64/build'
    make[1]: *** No rule to make target 'modules'. Stop.
    make[1]: Leaving directory '/lib/modules/4.19.0-0.bpo.4-amd64/build'
    Makefile:1794: recipe for target 'modules' failed
    make: *** [modules] Error 2
    ##################################################
    Compile make driver error: 2
    Please check error Mesg
    ##################################################

    how can i do?


    thanks

    hello,
    i'm trying to install usb wifi adapter RTL88x2BU_WiFi_linux_v5.2.4.4 but it fails due to make command is not installed.


    so i decide to run apt install build-essential --fix-missing but it fails again:


    Reading package lists...
    Building dependency tree...
    Reading state information...
    The following additional packages will be installed:
    binutils bzip2 cpp cpp-6 dpkg-dev g++ g++-6 gcc gcc-6 libasan3 libatomic1
    libc-dev-bin libc6-dev libcc1-0 libcilkrts5 libdpkg-perl libgcc-6-dev
    libgomp1 libisl15 libitm1 liblsan0 libmpc3 libmpfr4 libmpx2 libquadmath0
    libstdc++-6-dev libtsan0 libubsan0 linux-libc-dev make patch xz-utils
    Suggested packages:
    binutils-doc bzip2-doc cpp-doc gcc-6-locales debian-keyring g++-multilib
    g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-multilib manpages-dev autoconf
    automake libtool flex bison gdb gcc-doc gcc-6-multilib libgcc1-dbg
    libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg liblsan0-dbg
    libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg libquadmath0-dbg
    glibc-doc libstdc++-6-doc make-doc ed diffutils-doc
    Recommended packages:
    fakeroot libalgorithm-merge-perl manpages manpages-dev
    libfile-fcntllock-perl
    The following NEW packages will be installed:
    binutils build-essential bzip2 cpp cpp-6 dpkg-dev g++ g++-6 gcc gcc-6
    libasan3 libatomic1 libc-dev-bin libc6-dev libcc1-0 libcilkrts5 libdpkg-perl
    libgcc-6-dev libgomp1 libisl15 libitm1 liblsan0 libmpc3 libmpfr4 libmpx2
    libquadmath0 libstdc++-6-dev libtsan0 libubsan0 linux-libc-dev make patch
    xz-utils
    0 upgraded, 33 newly installed, 0 to remove and 37 not upgraded.
    Need to get 38.0 MB of archives.
    After this operation, 160 MB of additional disk space will be used.
    Do you want to continue? [Y/n] Err:1 http://ftp.it.debian.org/debian stretch/main amd64 bzip2 amd64 1.0.6-8.1
    Temporary failure resolving 'ftp.it.debian.org'
    Err:2 http://security.debian.org/debian-security stretch/updates/main amd64 linux-libc-dev amd64 4.9.168-1+deb9u3
    Temporary failure resolving 'security.debian.org'
    Err:3 http://ftp.it.debian.org/debian stretch/main amd64 xz-utils amd64 5.2.2-1.2+b1
    Temporary failure resolving 'ftp.it.debian.org'
    Err:4 http://ftp.it.debian.org/debian stretch/main amd64 binutils amd64 2.28-5
    Temporary failure resolving 'ftp.it.debian.org'
    Err:5 http://ftp.it.debian.org/debian stretch/main amd64 libc-dev-bin amd64 2.24-11+deb9u4
    Temporary failure resolving 'ftp.it.debian.org'
    Err:6 http://ftp.it.debian.org/debian stretch/main amd64 libc6-dev amd64 2.24-11+deb9u4
    Temporary failure resolving 'ftp.it.debian.org'
    Err:7 http://ftp.it.debian.org/debian stretch/main amd64 libisl15 amd64 0.18-1
    Temporary failure resolving 'ftp.it.debian.org'
    Err:8 http://ftp.it.debian.org/debian stretch/main amd64 libmpfr4 amd64 3.1.5-1
    Temporary failure resolving 'ftp.it.debian.org'




    any ideas?

    Hello,
    As suggested in the guide during the installation phase i’ve attached only the disk i want to create ad boot disk.
    The installation finished correctly also with some reboot... but as soon i’be attacchi new disks the System doesn’t boot with the error shown in the pic.
    Should i set in the boot args the disk used for boot?


    Thanks for help